For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get pool OS templates

Retrieve the OS templates that can be installed on a specified GPU pool instance type. Use this endpoint to choose the ostemplateid for a new GPU instance.

Get pool OS templates

get

Retrieve the OS templates that can be installed on a specified GPU pool instance type.

Use this endpoint to choose the os_template_id for a new GPU instance.

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
poolIdintegerRequired

GPU pool ID

Example: 12
poolInstanceIdintegerRequired

GPU pool instance type ID

Example: 232
Responses
200

Success response

application/json
idintegerOptional

OS template ID

Example: 23
namestringOptionalExample: Ubuntu 24.04 with CUDA
kb_urlstringOptional

Knowledge base article about the template

Example: https://support.hostinger.com/os-templates/ubuntu-cuda
imagestring · nullableOptional

Icon image ID

Example: hgpu-app-icon-ubuntu
dark_image_idstring · nullableOptional

Dark theme icon image ID

Example: hgpu-app-icon-ubuntu-dark
light_image_idstring · nullableOptional

Light theme icon image ID

Example: hgpu-app-icon-ubuntu-light
get/api/gpu/v1/pools/{poolId}/instances/{poolInstanceId}/os-templates
GET /api/gpu/v1/pools/{poolId}/instances/{poolInstanceId}/os-templates HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "id": 23,
    "name": "Ubuntu 24.04 with CUDA",
    "kb_url": "https://support.hostinger.com/os-templates/ubuntu-cuda",
    "image": "hgpu-app-icon-ubuntu",
    "dark_image_id": "hgpu-app-icon-ubuntu-dark",
    "light_image_id": "hgpu-app-icon-ubuntu-light"
  }
]

Last updated

Was this helpful?